﻿<div ng-controller="countryController">
    <div id="page-heading">
        <ol ng-hide="false" class="breadcrumb">
            <li><a href="#/">{{transaction.Dashboard}}</a></li>
            <li class="active">{{transaction.Country}}</li>
        </ol>

    </div>

    <div class="panel-loading" ng-show="isDataLoading">
        <div class="panel-loader-dots"></div>
    </div>
    <div class="container-fluid" ng-hide="isDataLoading">
        <div class="row">

            <div class="col-md-12">
                <div class="panel panel-midnightblue ">

                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-6 col-xs-12">
                                <h2>{{transaction.Country}}</h2>
                            </div>
                            <div class="col-md-6 col-xs-12">
                                <div class="pull-right" style="padding:0;">
                                    <button class="btn btn-info" ng-click="showseach(isSearch)">
                                        <i class="fa fa-search"></i>
                                        {{transaction.Search}}
                                    </button>
                                    <a class="btn btn-success" href="#/manageCountry">
                                        <i class="fa fa-plus"></i>
                                        {{transaction.AddNew}}
                                    </a>

                                </div>
                            </div>
                        </div>

                        <div ng-show="isSearch">
                            <div class="block-bg">
                                <div class="row">
                                    <div class="col-xs-12 col-md-12">
                                        <div class="form-group">
                                            <label class="control-label"> {{transaction.Name}} {{transaction.Country}}</label>
                                         <!--   <input type="text" class="form-control" ng-model="model.name">-->
                                            <!--<select  ng-model="countryId" class="form-control" >
                                                <option ng-repeat="i in allContries " value="{{i.id}}" >{{i.arabicName}}</option>


                                            </select>-->
                                            <input type="text" class="form-control" ng-model="model.name">
                                        </div>
                                    </div>

                                    <div class="col-xs-12">
                                        <div class="pull-right">
                                            <button class="btn btn-primary" ng-click="countrySearch()">{{transaction.Search}}</button>
                                            <button class="btn btn-default" ng-click="cancelSearch()">{{transaction.Cancel}}</button>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <br />
                        </div>

                        <table class="table">
                            <thead>
                                <tr>
                                    <td>#</td>
                                    <th ng-click="sort('name')" style="cursor: pointer">
                                        <span ng-show="sortKey == 'name'" ng-class="!sortReverse ? 'fa fa-caret-down' : 'fa fa-caret-up'"></span>
                                        {{transaction.Name}} {{transaction.Country}}
                                    </th>
                             <!--      <th>{{transaction.NameEn}}</th>--> 
                                    <!--<th>{{transaction.Longitude}}</th>
                                     <th>{{transaction.Latitude}}</th>-->
                                    <th>{{transaction.Edit }} {{ transaction.Delete}}</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-repeat="item in data | orderBy:sortKey:sortReverse track by $index">
                                    <td>{{$index+1}}</td>
                                    <td>
                                        {{item.arabicName}}


                                    </td>    
                                <!--    <td>{{item.englishName}}</td> -->
                                    <!--<td>{{item.longitude}}</td>
                                    <td>{{item.latitude}}</td>-->                              
                                    <td>
                                        <a class="btn btn-primary " ng-href="#/manageCountry?id={{item.id}}" title="{{transaction.Edit}}"> <i class="fa fa-edit"></i></a>
                                        <button class="btn btn-danger " ng-click="openConfirm(item.id,$index)" title="{{transaction.Delete}}">
                                            <i class="fa fa-trash"></i>
                                        </button>
                                    </td>
                                </tr>
                                <tr ng-if="data.length==0">
                                    <td colspan="3">
                                        <div class="search-result" ng-hide="LoadNotificationData.length > 0">
                                            <div class="member">
                                                <div class="row" ng-hide="isDataLoading">
                                                    <div class="col-xs-12 col-md-9">
                                                        <p>{{transaction.NoResult}}</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>

                        <div ng-if="totalData>pageSize">
                            <div class="col-md-10 col-xs-12">
                                <pagination total-items="totalData" ng-model="currentPage" previous-text="السابق" next-text="التالى" ng-change="pageChanged(currentPage,pageSize)" boundary-link-numbers="true" max-size="10" items-per-page="pageSize"></pagination>
                            </div>
                            <div class="col-md-2 col-xs-12">
                                <select class="form-control" ng-model="pageSize" ng-change="pageChanged(currentPage,pageSize)">
                                    <option ng-repeat="item in showResult" value="{{item}}">{{item}}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
